org.codehaus.plexus.compiler

## Class CompilerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.plexus.compiler.CompilerException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CompilerNotImplementedException

    public class CompilerException
    extends Exception

Author:
  Trygve Laugstøl
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CompilerException(String message)`
`CompilerException(String message, Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CompilerException

    public CompilerException(String message)

#### CompilerException

    public CompilerException(String message,
                             Throwable cause)